aboutsummaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorDavid Bremner <david@tethera.net>2022-03-19 07:07:52 -0300
committerDavid Bremner <david@tethera.net>2022-05-16 07:11:18 -0300
commite663231681b129befadd9f66cb064c104149fb16 (patch)
treed2eb460bd3f214b5a61caefb23732658fad31d2c /test
parent21b2d7dd4b633571738174f5fe764179430b8adf (diff)
test: add known broken test for inlining in emacs/reply
The same mitigation already applied for show should also be applied for reply
Diffstat (limited to 'test')
-rwxr-xr-xtest/T453-emacs-reply.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/test/T453-emacs-reply.sh b/test/T453-emacs-reply.sh
new file mode 100755
index 00000000..5d6c5309
--- /dev/null
+++ b/test/T453-emacs-reply.sh
@@ -0,0 +1,35 @@
+#!/usr/bin/env bash
+
+test_description="emacs reply"
+. $(dirname "$0")/test-lib.sh || exit 1
+. $NOTMUCH_SRCDIR/test/test-lib-emacs.sh || exit 1
+
+EXPECTED=$NOTMUCH_SRCDIR/test/emacs-show.expected-output
+
+test_require_emacs
+
+add_email_corpus attachment
+
+test_begin_subtest "tar not inlined by default"
+test_subtest_known_broken
+test_emacs '(notmuch-mua-new-reply "id:874llc2bkp.fsf@curie.anarc.at")
+ (test-visible-output "OUTPUT.raw")'
+cat <<EOF > EXPECTED
+From: Notmuch Test Suite <test_suite@notmuchmail.org>
+To: Antoine Beaupré <anarcat@orangeseeds.org>
+Subject: Re: bug: "no top level messages" crash on Zen email loops
+In-Reply-To: <874llc2bkp.fsf@curie.anarc.at>
+Fcc: MAIL_DIR/sent
+--text follows this line--
+Antoine Beaupré <anarcat@orangeseeds.org> writes:
+
+> And obviously I forget the frigging attachment.
+>
+>
+> PS: don't we have a "you forgot to actually attach the damn file" plugin
+> when we detect the word "attachment" and there's no attach? :p
+EOF
+notmuch_dir_sanitize < OUTPUT.raw > OUTPUT
+test_expect_equal_file EXPECTED OUTPUT
+
+test_done